Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.schema.identity
Class Selector.XPath

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.XPath
            |
            +--org.apache.xerces.validators.schema.identity.Selector.XPath

Enclosing class:
  Selector

public static class Selector.XPath
extends XPath

Schema identity constraint selector XPath expression.

Version:
  $Id: Selector.java,v 1.12 2001/06/01 20:08:45 neilg Exp $
Author:
  Andy Clark, IBM

Inner classes inherited from class org.apache.xerces.validators.schema.identity.XPath
`XPath.Axis, XPath.LocationPath, XPath.NodeTest, XPath.Step`

Fields inherited from class org.apache.xerces.validators.schema.identity.XPath
`fExpression, fLocationPaths, fStringPool`

Constructor Summary
`Selector.XPath(java.lang.String xpath, StringPool stringPool, NamespacesScope context)` Constructs a selector XPath expression.

Methods inherited from class org.apache.xerces.validators.schema.identity.XPath
`getLocationPath, getLocationPaths, main, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Selector.XPath

    public Selector.XPath(java.lang.String xpath,
                          StringPool stringPool,
                          NamespacesScope context)
                   throws XPathException

  Constructs a selector XPath expression.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.